"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var di_1 = require("../di");
var env_1 = require("../env");
var storage_service_1 = require("./storage.service");
var definition_1 = require("../definition");
var cloud_file_storage_service_1 = require("./cloud-file-storage.service");
var storage_support_1 = require("./storage.support");
var storage_helper_1 = require("./storage.helper");
var settingsResolver = function () { return di_1.staticInjector(di_1.DI_TYPES.Settings); };
var notVersionedKey = storage_support_1.joinStorageKeyPrefix(env_1.ENV.port, env_1.ENV.appProfile, env_1.ENV.normalizedBasePath);
var versionedKey = storage_support_1.joinStorageKeyPrefix(env_1.ENV.appVersion, env_1.ENV.appProfile, env_1.ENV.port, env_1.ENV.normalizedBasePath);
di_1.appContainer.bind(di_1.DI_TYPES.Storage).toConstantValue(new storage_service_1.DefaultStorage(versionedKey, settingsResolver));
di_1.appContainer.bind(di_1.DI_TYPES.NotVersionedPersistentStorage).toConstantValue(new storage_service_1.DefaultStorage(notVersionedKey, settingsResolver, definition_1.StorageTypeEnum.LOCAL));
di_1.appContainer.bind(di_1.DI_TYPES.NotVersionedSessionStorage).toConstantValue(new storage_service_1.DefaultStorage(notVersionedKey, settingsResolver, definition_1.StorageTypeEnum.SESSION));
di_1.appContainer.bind(di_1.DI_TYPES.CloudFileStorage).to(cloud_file_storage_service_1.CloudFileStorage).inSingletonScope();
di_1.appContainer.bind(di_1.DI_TYPES.StorageHelper).to(storage_helper_1.StorageHelper).inSingletonScope();
//# sourceMappingURL=storage.module.js.map