import { AnyT } from '../definitions.interface';
import { ISettings } from '../settings';
import { IStorage } from '../storage';
import { StorageTypeEnum } from '../definition';
export declare class DefaultStorage implements IStorage {
    private prefix;
    private settingsProvider;
    private storageType?;
    /**
     * @stable [28.07.2019]
     * @param {string} prefix
     * @param {() => ISettings} settingsProvider
     * @param {StorageTypeEnum} storageType
     */
    constructor(prefix: string, settingsProvider: () => ISettings, storageType?: StorageTypeEnum);
    /**
     * @stable [28.07.2019]
     * @param {string} key
     * @param {AnyT} value
     * @returns {Promise<boolean>}
     */
    set(key: string, value: AnyT): Promise<boolean>;
    /**
     * @stable [28.07.2019]
     * @param {string} key
     * @returns {Promise<AnyT>}
     */
    get(key: string): Promise<AnyT>;
    /**
     * @stable [28.07.2019]
     * @param {string} key
     * @param {boolean} noPrefix
     * @returns {Promise<boolean>}
     */
    remove(key: string, noPrefix?: boolean): Promise<boolean>;
    /**
     * @stable [28.07.2019]
     * @param {(key: string, value: AnyT) => void} callback
     */
    each(callback: (key: string, value: AnyT) => void): void;
    /**
     * @stable [28.07.2019]
     * @returns {Storage}
     */
    private readonly storage;
    /**
     * @stable [28.07.2019]
     * @param {string} key
     * @returns {string}
     */
    private toKey;
}
