import { ITransport } from './transport.interface';
import { IEntity, StringNumberT } from '../definitions.interface';
import { IEditableApiEntity } from '../definition';
import { ISettings } from '../settings';
import { IKeyValue } from '../definitions.interface';
import { INumberConverter } from '../converter';
export declare class BaseTransport {
    protected readonly transport: ITransport;
    protected readonly settings: ISettings;
    protected readonly nc: INumberConverter;
    /**
     * @stable [13.06.2019]
     * @param {StringNumberT} value
     * @returns {number}
     */
    protected prepareNumberValue(value: StringNumberT): number;
    /**
     * @stable [25.07.2019]
     * @param {string} value
     * @returns {string}
     */
    protected preparePhoneValue(value: string): string;
    /**
     * @stable [11.09.2018]
     * @param {ITransportRequestPayloadDataEntity} params
     */
    protected downloadAnchoredFile(params: IKeyValue): void;
    /**
     * @stable [26.02.2019]
     * @param {IEditableApiEntity<TEntity extends IEntity>} entity
     * @returns {Promise<TEntity extends IEntity>}
     */
    protected doSaveEntity<TEntity extends IEntity, TResult = TEntity>(entity: IEditableApiEntity<TEntity>): Promise<TResult>;
}
