"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var array_1 = require("./array");
var nvl_1 = require("./nvl");
/**
 * @stable [30.05.2019]
 * @param {AnyT[]} parts
 * @param {string} joiner
 * @returns {string}
 */
exports.join = function (parts, joiner) {
    if (joiner === void 0) { joiner = '\u0020'; }
    return parts.filter(function (v) { return !R.isNil(v); }).join(joiner);
};
/**
 *
 * @param {AnyT[]} parts
 * @returns {string}
 */
exports.joinReduce = function (parts) { return array_1.isArrayNotEmpty(parts)
    ? (parts.length > 1
        ? parts[0] + ", ..."
        : nvl_1.nvl(parts[0], ''))
    : ''; };
//# sourceMappingURL=join.js.map