"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @stable [05.05.2019]
 * @param {number} num
 * @param {number} precision
 * @returns {number}
 */
exports.roundByPrecision = function (num, precision) {
    if (precision === void 0) { precision = 2; }
    var t = Math.pow(10, precision);
    return Math.round(num * t) / t;
};
/**
 * @stable [05.05.2019]
 * @param {number} num
 * @param {number} divider
 * @returns {number}
 */
exports.roundDownByDivider = function (num, divider) {
    return Math.floor(num - num % divider);
};
/**
 * @stable [13.05.2019]
 * @param {number} num
 * @param {number} precision
 * @returns {number}
 */
exports.invertCurrency = function (num, precision) {
    if (precision === void 0) { precision = 2; }
    var result = exports.roundByPrecision(num, precision);
    return result === 0 ? result : result * -1;
};
/**
 * @stable [26.06.2019]
 * @param {number} value
 * @param {number} total
 * @returns {number}
 */
exports.proportion = function (value, total) { return total === 0 ? 0 : (value * 100) / total; };
/**
 * @stable [26.06.2019]
 * @param {number} value
 * @param {number} total
 * @returns {number}
 */
exports.roundedProportion = function (value, total) { return Math.round(exports.proportion(value, total)); };
//# sourceMappingURL=number.js.map